View Javadoc

    1   /*
    2    * Licensed to the Apache Software Foundation (ASF) under one or more
    3    * contributor license agreements.  See the NOTICE file distributed with
    4    * this work for additional information regarding copyright ownership.
    5    * The ASF licenses this file to You under the Apache License, Version 2.0
    6    * (the "License"); you may not use this file except in compliance with
    7    * the License.  You may obtain a copy of the License at
    8    *
    9    *      http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   * Unless required by applicable law or agreed to in writing, software
    12   * distributed under the License is distributed on an "AS IS" BASIS,
    13   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   * See the License for the specific language governing permissions and
    15   * limitations under the License.
    16   */
    17  package org.apache.log4j.spi;
    18
    19  /**
    20   * Implemented by classes that render instances of
    21   * java.lang.Throwable (exceptions and errors)
    22   * into a string representation.
    23   *
    24   * @since 1.2.16
    25   */
    26  public interface ThrowableRenderer {
    27      /**
    28       * Render Throwable.
    29       * @param t throwable, may not be null.
    30       * @return String representation.
    31       */
    32      public String[] doRender(Throwable t);
    33  }